Refresh payment link

View as MarkdownOpen in Claude
Refresh a payment link's content after an update.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

payLinkIdstringRequired
ID for the payment link.

Query parameters

amountFixedbooleanOptionalDefaults to true

Indicates whether customer can modify the payment amount. A value of true means the amount isn’t modifiable, a value false means the payor can modify the amount to pay.

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDatastringOptional

If isSuccess = true, this contains the payment link identifier. If isSuccess = false, this contains the reason of the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error